#if !defined(AFX_GOSEVENTIDPANE_H__A1627A57_BFA4_4AA3_8102_46D6DBA87773__INCLUDED_)
#define AFX_GOSEVENTIDPANE_H__A1627A57_BFA4_4AA3_8102_46D6DBA87773__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// GosEventIdPane.h : header file
//

#include "GosEventPane.h"

/////////////////////////////////////////////////////////////////////////////
// CGosEventIdPane view

class CGosEventIdPane : public CGosEventPane
{
protected:
	CGosEventIdPane();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CGosEventIdPane)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGosEventIdPane)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CGosEventIdPane();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CGosEventIdPane)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GOSEVENTIDPANE_H__A1627A57_BFA4_4AA3_8102_46D6DBA87773__INCLUDED_)
